function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  padding-top: ", "px;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  padding: 0px 24px;\n  @media (max-width: 640px) {\n    padding: 0px 6px;\n  }\n\n  > p {\n    width: 100%;\n    max-width: 700px;\n    font-size: 18px;\n    margin-bottom: 1.5em;\n    line-height: 1.8;\n\n    &.transition {\n      margin: 80px auto;\n    }\n\n    &.small {\n      font-size: 14px;\n    }\n  }\n\n  & > p,\n  & > h1,\n  & > h2,\n  & > h3,\n  & > h4,\n  & > h5,\n  & > h6 {\n    margin: auto;\n    @media (max-width: 640px) {\n      width: 90%;\n    }\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import PropTypes from "prop-types";
import { jsx, css } from "@emotion/core";
import Header from "../Header/Header";
import Footer from "../FooterNew/FooterNew";
import CollectionHero from "../Hero/CollectionHero";
var headerHeight = 72;
var defaultStyles = css(_templateObject());
var headerMargin = css(_templateObject2(), headerHeight);

var PageLayout = function PageLayout(_ref) {
  var header = _ref.header,
      heroTitle = _ref.heroTitle,
      heroSubtitle = _ref.heroSubtitle,
      teamTitle = _ref.teamTitle,
      children = _ref.children;
  return jsx("div", {
    css: header && headerMargin
  }, header && jsx(Header, null), heroTitle && jsx(CollectionHero, {
    teamTitle: teamTitle,
    heroTitle: heroTitle,
    heroSubtitle: heroSubtitle
  }), jsx("div", {
    css: defaultStyles
  }, children), jsx(Footer, null));
};

PageLayout.displayName = "PageLayout";
PageLayout.propTypes = {
  header: PropTypes.bool,
  teamTitle: PropTypes.string,
  heroTitle: PropTypes.string,
  heroSubtitle: PropTypes.string,
  children: PropTypes.node
};
PageLayout.defaultProps = {
  header: true
};
export default PageLayout;